1. Service Requests
Calven Developer Docs
latest
  • latest
  • beta
  • Default module
    • Overview
    • Access Control
    • Basic Authentication
    • HMAC Authentication
    • SDKs
    • Calven Data Models
    • Changelog
    • Authentication
      • Generate a token with an API key and HMAC
      • Generate a token with an API key and client secret
    • Presence
      • Presence Overview
      • Submit presence events
      • Submit presence events (Basic auth)
    • Occupancy
      • Occupancy Overview
      • Submit occupancy events
    • Time Off
      • Submit time off updates
    • Access Credentials
      • Submit access credentials
    • Warehouse - Basic Auth
      • Warehouse API (Basic Auth)
      • Users (Basic auth)
      • Groups (Basic auth)
      • Locations (Basic auth)
      • Desks (Basic auth)
      • Bookings & Attendance (Basic auth)
      • Presence (Basic auth)
      • User Actions Log (Basic auth)
      • Events (Basic auth)
    • Warehouse - HMAC Auth
      • Warehouse API (HMAC Auth)
      • Users
      • Groups
      • Locations
      • Desks
      • Bookings & Attendance
      • Presence
      • User Actions Log
      • Events
    • Hierarchy Information
      • Org Hierarchy Information Overview
      • Submit group hierarchy relationships
      • Submit group hierarchy relationships (Basic auth)
    • Parking
      • Retrieve parking bookings
      • Retrieve parking bookings (Basic auth)
    • Service Requests
      • Service Offerings
        GET
      • Service Offering
        GET
      • Submit a service request
        POST
      • Service Request
        GET
      • Update a service request
        PATCH
    • User Attributes
      • User Attributes Overview
      • Write directory user attributes
      • Write directory user attributes (Basic auth)
    • Visitor Management
      • Submit visitor arrival events
      • Submit visitor arrival events (Basic auth)
  1. Service Requests

Service Offering

GET
/v1/services/service-requests/offerings/{offeringId}
Returns one Service Offering, including the questions to answer when you request it. Pass the offeringId of the current version, as returned by the Service Offerings endpoint.
Requires the service:offering:read permission.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.calven.com/v1/services/service-requests/offerings/' \
--header 'Authorization: Bearer <token>'

Responses

🟢200
application/json
Bodyapplication/json

Example
{
    "offeringId": "ab19dd02-6e4f-4f6f-b30e-37b01441b2ae",
    "offeringGroupId": "80c77403-51e7-48a0-943a-2aa916b31327",
    "version": 3,
    "type": "meetingBound",
    "name": "Catering",
    "description": "Morning tea or lunch delivered to the room.",
    "icon": "coffee",
    "locationId": "58fab1b7-f5da-4281-9148-ba4905ee9992",
    "questions": [
        {
            "questionId": "cb7274b1-3e90-4972-afab-457b3a51c958",
            "kind": "text",
            "prompt": "Any dietary requirements?",
            "description": "string",
            "isRequired": true,
            "allowsMultipleSelection": true,
            "options": [
                {
                    "optionId": "a849589f-49e8-4121-9f87-4abeaea882fc",
                    "text": "Vegetarian",
                    "isFreeText": true
                }
            ],
            "visibleWhen": {
                "questionId": "ffa0420e-f70b-4e5b-99a0-434bff860467",
                "optionIds": [
                    "497f6eca-6276-4993-bfeb-53cbbbba6f08"
                ]
            }
        }
    ]
}
🟠401
🟠404
Modified at 2026-11-19 03:43:52
Previous
Service Offerings
Next
Submit a service request
Built with